2
0

Output errors on stderr.

This commit is contained in:
Maarten Billemont 2018-06-05 14:06:55 -04:00
parent b748e607ad
commit 02aed778bc
3 changed files with 2 additions and 25 deletions

View File

@ -3,10 +3,6 @@ variables:
JEKYLL_ENV: production
GIT_SUBMODULE_STRATEGY: recursive
stages:
- build
- deploy
build_project:
stage: build
script:
@ -20,17 +16,3 @@ build_project:
- brew
- java
- xcode_9
only:
- master
pages:
stage: deploy
script:
- exec jekyll build -d public
artifacts:
paths:
- public
tags:
- jekyll
only:
- gh-pages

View File

@ -2,15 +2,10 @@
# See https://developer.apple.com/library/ios/qa/qa1686/_index.html
cd "${BASH_SOURCE%/*}"
source bashlib
trap 'c=$BASH_COMMAND s=$?; echo "EXIT: $s: $c"; exit $s' EXIT
trap 'c=$BASH_COMMAND s=$?; (( s )) && echo >&2 "ERROR: $s: $c"; exit $s' EXIT
set -e
cd ..
export PATH+=:/usr/local/bin
echo >&2 "stderr"
echo "stdout"
echo "== declare -xp =="
declare -xp
echo "== declare -xp =="
# icons format: [pixel size]@[scale]@[idiom]@[os]:[filename] -- if os is "anything lower", omit it
icons=(

View File

@ -1,7 +1,7 @@
#!/usr/bin/env bash
cd "${BASH_SOURCE%/*}"
source ./bashlib
trap 'c=$BASH_COMMAND s=$?; (( s )) && echo "ERROR: $s: $c"; exit $s' EXIT
trap 'c=$BASH_COMMAND s=$?; (( s )) && echo >&2 "ERROR: $s: $c"; exit $s' EXIT
set -e
cd ..
export PATH+=:/usr/libexec